/* ************************************************************************** */
/*                                       _____           _                    */
/*  main.h                              |_   _|__  _   _| |__   ___ _   _     */
/*  | Project: mcsfile                    | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/12/18 01:33:41                               |___/     */
/*                                                                            */
/* ************************************************************************** */
#ifndef MAIN_H
# define MAIN_H
# include <libg1m.h>

/* Some printf types */
# ifdef _WIN64
#  define PRIuSIZE "l64u"
# elif _WIN32
#  define PRIuSIZE "u"
# else
#  define PRIuSIZE "zu"
# endif

/* Prototypes */
int parse_args(int ac, char **av, const char **paths);
void put_files(g1m_t *handle);

#endif /* MAIN_H */
